//******************************************************************************
//*                       Raster Technolodgy SDK v2.xx                         *
//*                        < Rt8xxdef.h > v2.07.0.0                            *
//*              Copyright (C)  " ", 2003-2007               *
//*                       :                             *
//*          phone: (495) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

#include "Rt8xxTypes.h"

#ifndef Rt8xxdefh
#define Rt8xxdefh

//****************************   **************************

TGetDword        RtxxxLibrary_InterfaceVersion;
TGetDword        RtxxxLibrary_Version;
TGetLibraryInfo  RtxxxLibrary_GetInfo;
TGetList         RtxxxDevice_GetDevicesList;
TGetList         RtxxxDevice_GetFirmwaresList;
TSetInt          RtxxxDevice_SelectDevice;
TGetInt          RtxxxDevice_DeviceIndex;
TNoParam         RtxxxDevice_Create;
TOpenDevice      RtxxxDevice_Open;
TGetDeviceInfo   RtxxxDevice_GetDeviceInfo;
TNoParam         RtxxxDevice_Close;
TNoParam         RtxxxDevice_Destroy;
TCheckFields     RtxxxDevice_CheckSignalFields;
TSetSignal       RtxxxDevice_SetInSignal;
TGetSignal       RtxxxDevice_GetInSignal;
TSetSignal       RtxxxDevice_SetOutSignal;
TGetSignal       RtxxxDevice_GetOutSignal;
TSetInt          RtxxxDevice_SetCaptureRange;
TGetInt          RtxxxDevice_CaptureRange;
TSetInt          RtxxxDevice_SetExternalSyncMode;
TGetInt          RtxxxDevice_ExternalSyncMode;
TGetFloat        RtxxxDevice_FreqPixel;
TGetFloat        RtxxxDevice_FreqFrame;
TGetFloat        RtxxxDevice_TimeFrame;
TGetFloat        RtxxxDevice_FreqPixelOut;
TGetFloat        RtxxxDevice_FreqFrameOut;
TGetFloat        RtxxxDevice_TimeFrameOut;
TGetFloat        RtxxxDevice_TimeCapture;
TGetFloat        RtxxxDevice_TimeCaptureStb;
TSetInt          RtxxxDevice_SetBrightness;
TGetInt          RtxxxDevice_Brightness;
TSetInt          RtxxxDevice_SetContrast;
TGetInt          RtxxxDevice_Contrast;
TAutoBrgContr    RtxxxDevice_AutoBrightnessContrast;
TSetInt          RtxxxDevice_SetBrightnessOut;
TGetInt          RtxxxDevice_BrightnessOut;
TSetInt          RtxxxDevice_SetContrastOut;
TGetInt          RtxxxDevice_ContrastOut;
TGetInt          RtxxxDevice_OffsetBlack;
TSetInt          RtxxxDevice_SetOffsetBlack;
TSetBool         RtxxxDevice_SetInverseOrderLines;
TGetBool         RtxxxDevice_InverseOrderLines;
TSetBool         RtxxxDevice_SetInverseOrderLinesOut;
TGetBool         RtxxxDevice_InverseOrderLinesOut;
TSetBool         RtxxxDevice_SetSerialOrderFrames;
TGetBool         RtxxxDevice_SerialOrderFrames;
TSetBool         RtxxxDevice_SetSerialOrderFramesOut;
TGetBool         RtxxxDevice_SerialOrderFramesOut;
TSetBool         RtxxxDevice_SetSerialOrderFields;
TGetBool         RtxxxDevice_SerialOrderFields;
TSetBool         RtxxxDevice_SetSerialOrderFieldsOut;
TGetBool         RtxxxDevice_SerialOrderFieldsOut;
TSetInt          RtxxxDevice_SetFieldsShowMode;
TGetInt          RtxxxDevice_FieldsShowMode;
TSetInt          RtxxxDevice_SetMirrorMode;
TGetInt          RtxxxDevice_MirrorMode;
TSetBool         RtxxxDevice_SetScalingMode;
TGetBool         RtxxxDevice_ScalingMode;
TSetBool         RtxxxDevice_SetShowStrobeRect;
TGetBool         RtxxxDevice_ShowStrobeRect;
TSetBool         RtxxxDevice_SetShowOut;
TGetBool         RtxxxDevice_ShowOut;
TSetBool         RtxxxDevice_SetOneFieldMode;
TGetBool         RtxxxDevice_OneFieldMode;
TSetBool         RtxxxDevice_SetSyncInOutSignals;
TGetBool         RtxxxDevice_SyncInOutSignals;
TSetDword        RtxxxDevice_SetADCBits;
TGetDword        RtxxxDevice_ADCBits;
TSetDword        RtxxxDevice_SetADCBitsStb;
TGetDword        RtxxxDevice_ADCBitsStb;
TSetDword        RtxxxDevice_SetDACBits;
TGetDword        RtxxxDevice_DACBits;
TGetDword        RtxxxDevice_ADCMax;
TGetDword        RtxxxDevice_DACMax;
TSetDword        RtxxxDevice_SetImageBits;
TGetDword        RtxxxDevice_ImageBits;
TSetDword        RtxxxDevice_SetImageBitsStb;
TGetDword        RtxxxDevice_ImageBitsStb;
TSetDword        RtxxxDevice_SetImageBitsOut;
TGetDword        RtxxxDevice_ImageBitsOut;
TSetInt          RtxxxDevice_SetCaptureMode;
TGetInt          RtxxxDevice_CaptureMode;
TGetBool         RtxxxDevice_ThroughMode;
TGetBool         RtxxxDevice_CheckInSignal;
TStart           RtxxxDevice_StartCaptureFrame;
TStart           RtxxxDevice_StartCaptureStrobe;
TCapture         RtxxxDevice_CaptureFrame;
TCapture         RtxxxDevice_CaptureStrobe;
TSetInt          RtxxxDevice_SetFreqDivider;
TGetInt          RtxxxDevice_FreqDivider;			
TGetPtr          RtxxxDevice_DmaBufferPtr;
TGetPtr          RtxxxDevice_DmaBufferPtrStb;
TGetBool         RtxxxDevice_DmaSequenceMode;
TGetInt64        RtxxxDevice_CurrentCpuCount;
TGetInt64        RtxxxDevice_CpuCount;
TGetInt64        RtxxxDevice_CpuCountStb;
TGetCpuCount     RtxxxDevice_GetCpuCount;
TGetFloat        RtxxxDevice_GetCpuFreq;
TStart           RtxxxDevice_StartOutFrame;
TOutFrame        RtxxxDevice_OutFrame;
TOutRect         RtxxxDevice_OutRect;
TSetDword        RtxxxDevice_SetCountFrames;
TGetDword        RtxxxDevice_CountFrames;
TSetInt          RtxxxDevice_SetVideoIn;
TGetInt          RtxxxDevice_VideoIn;
TSetBool         RtxxxDevice_SetPersonalMode;
TGetBool         RtxxxDevice_PersonalMode;
TInt             RtxxxDevice_SetLeft;
TGetInt          RtxxxDevice_Left;
TGetInt          RtxxxDevice_LeftMin;
TGetInt          RtxxxDevice_LeftMax;
TInt             RtxxxDevice_SetTop;
TGetInt          RtxxxDevice_Top;
TGetInt          RtxxxDevice_TopMin;
TGetInt          RtxxxDevice_TopMax;
TInt             RtxxxDevice_SetWidth;
TGetInt          RtxxxDevice_Width;
TGetInt          RtxxxDevice_WidthMin;
TGetInt          RtxxxDevice_WidthMax;
TInt             RtxxxDevice_SetHeight;
TGetInt          RtxxxDevice_Height;
TGetInt          RtxxxDevice_HeightMin;
TGetInt          RtxxxDevice_HeightMax;
TInt             RtxxxDevice_SetLenLine;
TGetInt          RtxxxDevice_LenLine;
TGetInt          RtxxxDevice_LenLineMin;
TGetInt          RtxxxDevice_LenLineMax;
TInt             RtxxxDevice_SetLeftStb;
TGetInt          RtxxxDevice_LeftStb;
TGetInt          RtxxxDevice_LeftMinStb;
TGetInt          RtxxxDevice_LeftMaxStb;
TInt             RtxxxDevice_SetTopStb;
TGetInt          RtxxxDevice_TopStb;
TGetInt          RtxxxDevice_TopMinStb;
TGetInt          RtxxxDevice_TopMaxStb;
TInt             RtxxxDevice_SetWidthStb;
TGetInt          RtxxxDevice_WidthStb;
TGetInt          RtxxxDevice_WidthMinStb;
TGetInt          RtxxxDevice_WidthMaxStb;
TInt             RtxxxDevice_SetHeightStb;
TGetInt          RtxxxDevice_HeightStb;
TGetInt          RtxxxDevice_HeightMinStb;
TGetInt          RtxxxDevice_HeightMaxStb;
TInt             RtxxxDevice_SetLeftOut;
TGetInt          RtxxxDevice_LeftOut;
TGetInt          RtxxxDevice_LeftMinOut;
TGetInt          RtxxxDevice_LeftMaxOut;
TInt             RtxxxDevice_SetTopOut;
TGetInt          RtxxxDevice_TopOut;
TGetInt          RtxxxDevice_TopMinOut;
TGetInt          RtxxxDevice_TopMaxOut;
TInt             RtxxxDevice_SetWidthOut;
TGetInt          RtxxxDevice_WidthOut;
TGetInt          RtxxxDevice_WidthMinOut;
TGetInt          RtxxxDevice_WidthMaxOut;
TInt             RtxxxDevice_SetHeightOut;
TGetInt          RtxxxDevice_HeightOut;
TGetInt          RtxxxDevice_HeightMinOut;
TGetInt          RtxxxDevice_HeightMaxOut;
TInt             RtxxxDevice_SetLenLineOut;
TGetInt          RtxxxDevice_LenLineOut;
TGetInt          RtxxxDevice_LenLineMinOut;
TGetInt          RtxxxDevice_LenLineMaxOut;
TNoParam         RtxxxDevice_WinToCentre;
TNoParam         RtxxxDevice_WinStbToCentre;
TNoParam         RtxxxDevice_WinOutToCentre;
TSetInt          RtxxxDevice_SetAccumMethod;
TGetInt          RtxxxDevice_AccumMethod;
TSetAccumMode    RtxxxDevice_SetAccumMode;
TGetAccumMode    RtxxxDevice_AccumMode;
TSetInt          RtxxxDevice_SetAccumValue;
TGetInt	    	 RtxxxDevice_AccumValue;
TGetInt          RtxxxDevice_CountAccumFrames;
TSetInt          RtxxxDevice_SetAccumMethodStb;
TGetInt          RtxxxDevice_AccumMethodStb;
TSetAccumMode    RtxxxDevice_SetAccumModeStb;
TGetAccumMode    RtxxxDevice_AccumModeStb;
TSetInt          RtxxxDevice_SetAccumValueStb;
TGetInt          RtxxxDevice_AccumValueStb;
TGetInt          RtxxxDevice_CountAccumFramesStb;
TSetInt          RtxxxDevice_SetContrastMul;
TGetInt          RtxxxDevice_ContrastMul;
TSetInt          RtxxxDevice_SetContrastOfs;
TGetInt          RtxxxDevice_ContrastOfs;
TSetInt          RtxxxDevice_SetContrastMulStb;
TGetInt          RtxxxDevice_ContrastMulStb;
TSetInt          RtxxxDevice_SetContrastOfsStb;
TGetInt          RtxxxDevice_ContrastOfsStb;
TSetLut          RtxxxDevice_SetLUT;
TGetLut          RtxxxDevice_GetLUT;
TSetInt          RtxxxDevice_SetFilterMode;
TGetInt          RtxxxDevice_FilterMode;
TWriteOperand    RtxxxDevice_WriteDspOperand;
TClearOperand    RtxxxDevice_ClearDspOperand;
TSetDspOperation RtxxxDevice_SetDspOperation;
TGetDspOperation RtxxxDevice_DspOperation;
TSetInt          RtxxxDevice_SetDspLevel;
TGetInt          RtxxxDevice_DspLevel;
TSetInt          RtxxxDevice_SetDspWeight;
TGetInt          RtxxxDevice_DspWeight; 
TSetInt          RtxxxDevice_SetRecurseIndex;
TGetInt          RtxxxDevice_RecurseIndex;
TWriteOperand    RtxxxDevice_WriteDspOperandStb;
TClearOperand    RtxxxDevice_ClearDspOperandStb;
TSetDspOperation RtxxxDevice_SetDspOperationStb;
TGetDspOperation RtxxxDevice_DspOperationStb;
TSetInt          RtxxxDevice_SetDspLevelStb;
TGetInt          RtxxxDevice_DspLevelStb;
TSetInt          RtxxxDevice_SetDspWeightStb;
TGetInt          RtxxxDevice_DspWeightStb; 
TSetInt          RtxxxDevice_SetRecurseIndexStb;
TGetInt          RtxxxDevice_RecurseIndexStb;
TSetInt          RtxxxDevice_SetStatisticsChanel;
TGetInt          RtxxxDevice_StatisticsChanel;
TGetMinMax       RtxxxDevice_GetMinMax;
TSetBool         RtxxxDevice_SetHistogramMode;
TGetBool         RtxxxDevice_HistogramMode;
TGetHist         RtxxxDevice_GetHistogram;
TGetHist         RtxxxDevice_GetHardHistogram;
TGetDword        RtxxxDevice_GetCfgBlockSize;
TGetCfg          RtxxxDevice_GetCfg;
TSetCfg          RtxxxDevice_SetCfg;
TGetBool         RtxxxDevice_SetCfgDefault;
TGetInt          RtxxxDevice_LoadCfg;
TGetInt          RtxxxDevice_SaveCfg;			
TSetDword        RtxxxDevice_SetIoDirection;
TGetDword        RtxxxDevice_IoDirection;
TDword           RtxxxDevice_OutPort;
TGetDword        RtxxxDevice_InPort;
TWaitPulse       RtxxxDevice_WaitPulse;
TOutSyncPulse    RtxxxDevice_OutSyncPulse;
TShowPanel       RtxxxDevice_ShowControlPanel;
TSetPos          RtxxxDevice_SetControlPanelPos;
TSetPos          RtxxxDevice_GetControlPanelPos;
THidePanel       RtxxxDevice_HideControlPanel;
TWriteBank       RtxxxDevice_WriteBank;
TClearBank       RtxxxDevice_ClearBank;
TReadBank        RtxxxDevice_ReadBank;
TGetDriverInfo   RtxxxDevice_GetDriverInfo;
TInDword         RtxxxDevice_InReg;
TOutDword        RtxxxDevice_OutReg;
TInDword         RtxxxDevice_InVar;
TOutDword        RtxxxDevice_OutVar;
TSetPriority     RtxxxDevice_SetCapturePriority;
TGetPriority     RtxxxDevice_CapturePriority;
TCreateBuffer    RtxxxDevice_CreateMemoryBuffer;
TFreeBuffer      RtxxxDevice_FreeMemoryBuffer;					
TSetTime         RtxxxDevice_SetTime;
TGetTime         RtxxxDevice_GetTime;
TGetTime         RtxxxDevice_GetTimeBeginCapture;

//*********************     *************************

TSetInt          RtxxxDevice_SetTestMode;
TGetInt          RtxxxDevice_TestMode;
TSetDword        RtxxxDevice_SetClockDivider;
TGetDword        RtxxxDevice_ClockDivider;
TSetInt          RtxxxDevice_SetShutterMode;
TGetInt          RtxxxDevice_ShutterMode;
TSetFloat        RtxxxDevice_SetShutter;
TGetFloat        RtxxxDevice_Shutter;
TSetInt          RtxxxDevice_SetGainX;
TGetInt          RtxxxDevice_GainX;
TSetInt          RtxxxDevice_SetGainY;
TGetInt          RtxxxDevice_GainY;
TSetInt          RtxxxDevice_SetOffsetX;
TGetInt          RtxxxDevice_OffsetX;
TSetInt          RtxxxDevice_SetOffsetY;
TGetInt          RtxxxDevice_OffsetY;
TSetInt          RtxxxDevice_SetPhase1;
TGetInt          RtxxxDevice_Phase1;
TSetInt          RtxxxDevice_SetPhase2;
TGetInt          RtxxxDevice_Phase2;
TSetInt          RtxxxDevice_SetPhase3;
TGetInt          RtxxxDevice_Phase3;
TSetInt          RtxxxDevice_SetPhase4;
TGetInt          RtxxxDevice_Phase4;
TSetThresholds   RtxxxDevice_SetThresholds;
TGetThresholds   RtxxxDevice_GetThresholds;
TGetInt          RtxxxDevice_GetPixelsCount;	


BOOL ConnectToRt8xxLibrary(HINSTANCE Hd);
BOOL ConnectToVPxxxInterface(HINSTANCE Hd);
BOOL ConnectToDCxxxInterface(HINSTANCE Hd);
int CheckRt8xxLibrary(HINSTANCE Hd);
int CheckRtxxxLibrary(HINSTANCE Hd);

#endif
