//******************************************************************************
//*                      Raster Technology SDK v2.xx                           *
//*                     < UserCapDef.c > v1.0.0.0                              *
//*               Copyright (C)  " , 2003-2006               *
//*                       :                             *
//*          phone: (495) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

#include "uscapdef.h"

void InitVar(HINSTANCE Hd, bool& result, void* addr, char* name)
{
   DWORD*  a;
   a=(DWORD*)addr;
   *a =(DWORD)GetProcAddress(Hd, name);
   result = result & (*a != NULL);
}

int CheckLibrary(HINSTANCE Hd)
{
  bool result = TRUE;
  InitVar(Hd, result, &UserCap_InterfaceVersion, "UserCap_InterfaceVersion");
  if (result==FALSE) return 1;
  if (UserCap_InterfaceVersion() < USERCAPDEF_VERSION) return 2;
  return 0;
}

BOOL ConnectToLibrary(HINSTANCE Hd)
{
  if (CheckLibrary(Hd)>0) return FALSE;
  bool result = TRUE;

  InitVar(Hd, result, &UserCap_InterfaceVersion, "UserCap_InterfaceVersion");
  InitVar(Hd, result, &UserCap_LibraryVersion,   "UserCap_LibraryVersion");
  InitVar(Hd, result, &UserCap_OpenDevice,       "UserCap_OpenDevice");
  InitVar(Hd, result, &UserCap_CloseDevice,      "UserCap_CloseDevice");
  
  InitVar(Hd, result, &UserCap_ShowWindow,       "UserCap_ShowWindow");
  InitVar(Hd, result, &UserCap_HideWindow,       "UserCap_HideWindow");
  InitVar(Hd, result, &UserCap_GetWindowPos,     "UserCap_GetWindowPos");
  InitVar(Hd, result, &UserCap_SetWindowPos,     "UserCap_SetWindowPos");

  InitVar(Hd, result, &UserCap_StartCapture,     "UserCap_StartCapture");
  InitVar(Hd, result, &UserCap_StopCapture,      "UserCap_StopCapture");
  InitVar(Hd, result, &UserCap_StartRec,         "UserCap_StartRec");
  InitVar(Hd, result, &UserCap_PauseRec,         "UserCap_PauseRec");
  InitVar(Hd, result, &UserCap_ContinueRec,      "UserCap_ContinueRec");
  InitVar(Hd, result, &UserCap_StopRec,          "UserCap_StopRec");
  InitVar(Hd, result, &UserCap_GetRecStatus,     "UserCap_GetRecStatus");
  InitVar(Hd, result, &UserCap_GetCapacity,      "UserCap_GetCapacity");
  InitVar(Hd, result, &UserCap_GetCountFrames,   "UserCap_GetCountFrames");
  InitVar(Hd, result, &UserCap_GetFrame,         "UserCap_GetFrame");

  InitVar(Hd, result, &UserCap_CopyFrame,        "UserCap_CopyFrame");
  InitVar(Hd, result, &UserCap_FrameToHDC,       "UserCap_FrameToHDC");
  InitVar(Hd, result, &UserCap_FrameToHBITMAP,   "UserCap_FrameToHBITMAP");

  return result;
}

