//******************************************************************************
//*                       Raster Technolodgy SDK v2.xx                         *
//*                       < UserCapDef.h   v1.0.0.0                            *
//*              Copyright (C)  " ", 2003-2006               *
//*                       :                             *
//*          phone: (095) 789-93-67,  e-mail: rastr_support@mail.ru            *
//******************************************************************************

#ifndef UserCapDefh
#define UserCapDefh

#define USERCAPDEF_VERSION     0x01000000


typedef void            (__stdcall *TNotifyProc)(int status, int param);
typedef void            (__stdcall *TOnCapture)(char* frameBuf, int Width, int	Height, int Bits, int CapStatus, int RecStatus, bool& CanRec);
typedef int             (__stdcall *TOpenDevice)(int mode);
typedef void            (__stdcall *TCloseDevice)(void);
typedef int             (__stdcall *TShowWindow)(int win, int mode, TNotifyProc OnHide);
typedef int             (__stdcall *TSetWindowPos)(int win, int  left, int top);
typedef int             (__stdcall *TGetWindowPos)(int win, int& left, int& top);
typedef int             (__stdcall *THideWindow)(int win);
typedef int             (__stdcall *TStartCapture)(TOnCapture onCapture1,TOnCapture onCapture2);
typedef void            (__stdcall *TStopCapture)(void);
typedef int             (__stdcall *TGetInt)(void);
typedef int             (__stdcall *TGetFrame)(int frame, TOnCapture onGetFrame);
typedef void            (__stdcall *TCopyFrame)(char* FrameBuf, char* DestBuf, int Width, int Height, int Bits, bool Copy16to8, bool InverseOrderLines);
typedef HDC             (__stdcall *TGetHDC)(char* FrameBuf, int Width, int Height, int Bits, bool InverseOrderLines);
typedef HBITMAP         (__stdcall *TGetHBITMAP)(char* FrameBuf, int Width, int Height, int Bits, bool InverseOrderLines);

TGetInt          UserCap_LibraryVersion;
TGetInt          UserCap_InterfaceVersion;
TOpenDevice      UserCap_OpenDevice;
TCloseDevice     UserCap_CloseDevice;
TShowWindow      UserCap_ShowWindow;
TSetWindowPos    UserCap_SetWindowPos;
TGetWindowPos    UserCap_GetWindowPos;
THideWindow      UserCap_HideWindow;
TStartCapture    UserCap_StartCapture;
TStopCapture     UserCap_StopCapture;
TGetInt		 UserCap_GetRecStatus;
TGetInt		 UserCap_GetCapacity;
TGetInt		 UserCap_GetCountFrames;
TGetInt		 UserCap_StartRec;
TGetInt		 UserCap_PauseRec;
TGetInt		 UserCap_ContinueRec;
TGetInt		 UserCap_StopRec;
TGetFrame        UserCap_GetFrame;
TCopyFrame	 UserCap_CopyFrame;
TGetHDC		 UserCap_FrameToHDC;
TGetHBITMAP      UserCap_FrameToHBITMAP;

#endif